<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.160
Name: Bericht 7 Vaccinatiesoproeplijst (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000">
   <title>Bericht 7 Vaccinatiesoproeplijst (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]"
         id="d13e28902-false-d1138574e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('LIST') or not(@classCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160'])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160'])&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:component)&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:component is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']"
         id="d13e28908-false-d1138630e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatiesoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.160')">(VersturenVaccinatiesoproeplijst-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.160' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="d13e28916-false-d1138646e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatiesoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenVaccinatiesoproeplijst-payload): de elementwaarde MOET een zijn van 'code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component"
         id="d13e28924-false-d1138676e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:organizer)&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:organizer is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:organizer)&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer"
         id="d13e28928-false-d1138723e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('ACT') or not(@classCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]])&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->
   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.135']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@typeCode)=('SBJ') or not(@typeCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="d13e28939-false-d1138804e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]"
         id="d13e28943-false-d1138827e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('SBADM') or not(@classCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@moodCode)=('INT') or not(@moodCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@negationInd)=('false') or not(@negationInd)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:consumable)&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:consumable)&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="d13e28951-false-d1138875e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatiesoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenVaccinatiesoproeplijst-payload): de elementwaarde MOET een zijn van 'code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:effectiveTime
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:effectiveTime"
         id="d13e28959-false-d1138893e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatiesoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="not(*)">(VersturenVaccinatiesoproeplijst-payload): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="matches(@value,'^[0-9]{8}')">(VersturenVaccinatiesoproeplijst-payload): 
                                        <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable"
         id="d13e28978-false-d1138908e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@typeCode)=('CSM') or not(@typeCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]])&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]"
         id="d13e28996-false-d1138935e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('ADMM') or not(@classCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]])&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]"
         id="d13e29000-false-d1138962e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@classCode)=('MMAT') or not(@classCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(VersturenVaccinatiesoproeplijst-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem])&gt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem])&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(VersturenVaccinatiesoproeplijst-payload): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]"
         id="d13e29006-false-d1139000e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatiesoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(VersturenVaccinatiesoproeplijst-payload): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.422 W0422 Soort vaccinatie (HL7) (2016-12-09T00:00:00)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.160
Context: *[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]/hl7:lotNumberText
Item: (VersturenVaccinatiesoproeplijst-payload)
-->

   <rule context="*[hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]]/hl7:immunizationRequestList[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.160']]/hl7:component/hl7:organizer/hl7:component[hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:substanceAdministration[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:consumable/hl7:medication[hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]]/hl7:administrableMedicine[hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-2016-12-09T000000.xml')//valueSet[1]/completeCodeSystem/@codeSystem]]/hl7:lotNumberText"
         id="d13e29014-false-d1139020e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.160-2015-06-29T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenVaccinatiesoproeplijst-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
